### Method

# Ide DiagnosticTool get_program_name

#### Declaration

    const char*
    ide_diagnostic_tool_get_program_name (
      IdeDiagnosticTool* self
    )

#### Description

No description available.

Gets property | `Ide.DiagnosticTool:program-name`

#### Return value

Returns: | `const char*`
| No description available.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.